GPE_1D_hermites_course
temp = density_1;
x1herm = x_1;

GPE_1D_breathing_course
density_1_oscigrid = zeros(size(density_1));

for tt=1:length(t_1),
   density_1_oscigrid(tt,:) = interp1(x_1,density_1(tt,:),x1herm,'spline');
end

diffdens = density_1_oscigrid - temp;

subplot(1,2,1)
mesh(x1herm*1e6,t_1,diffdens)
axis tight
xlabel(['x[{\mu}m]'])
ylabel(['t[s]'])
title(['difference density'])

subplot(1,2,2)
waterfall(nx_3,t_3,sqrt(energyspec_3))
waterfall(t_3,nx_3,sqrt(energyspec_3)')
axis tight
view([133 30])
ylabel(['n'])
xlabel(['t[s]'])
zlabel(['|\psi|'])
title(['energyspec'])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
     